Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QProcess.ProcessError

    java.lang.Object
      java.lang.Enum<QProcess.ProcessError>
          com.trolltech.qt.core.QProcess.ProcessError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QProcess.ProcessError>

Enclosing class:
  QProcess

    public static enum QProcess.ProcessError

extends java.lang.Enum<QProcess.ProcessError>
implements QtEnumerator

This enum describes the different types of errors that are reported by `QProcess`.

See Also:
  `error`

Enum Constant Summary
`Crashed` The process crashed some time after starting successfully.
`FailedToStart` The process failed to start.
`ReadError` An error occurred when attempting to read from the process.
`Timedout` The last waitFor...() function timed out.
`UnknownError` An unknown error occurred.
`WriteError` An error occurred when attempting to write to the process.

Method Summary
`static QProcess.ProcessError` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QProcess.ProcessError` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QProcess.ProcessError[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FailedToStart

    public static final QProcess.ProcessError FailedToStart

  The process failed to start. Either the invoked program is missing, or you may have insufficient permissions to invoke the program.

### Crashed

    public static final QProcess.ProcessError Crashed

  The process crashed some time after starting successfully.

### Timedout

    public static final QProcess.ProcessError Timedout

  The last waitFor...() function timed out. The state of `QProcess` is unchanged, and you can try calling waitFor...() again.

### ReadError

    public static final QProcess.ProcessError ReadError

  An error occurred when attempting to read from the process. For example, the process may not be running.

### WriteError

    public static final QProcess.ProcessError WriteError

  An error occurred when attempting to write to the process. For example, the process may not be running, or it may have closed its input channel.

### UnknownError

    public static final QProcess.ProcessError UnknownError

  An unknown error occurred. This is the default return value of `error`.

Method Detail

### values

    public static final QProcess.ProcessError[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QProcess.ProcessError c : QProcess.ProcessError.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QProcess.ProcessError valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QProcess.ProcessError resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD